# Get listed steam items

`GET /v1/list-items-steam`

Prices are integers. `1000` = `1 USD`.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |
| `game` | query | enum | optional | Which game would you like to fetch items from |

## Example (curl)

```bash
curl -X GET 'https://api.waxpeer.com/v1/list-items-steam?api=%7B%7BAPI_KEY%7D%7D&game=csgo'
```

## Example response

```json
{
  "success": true,
  "items": [
    {
      "item_id": "16037911576",
      "price": 2367941,
      "date": "2020-01-11T07:18:50.749Z",
      "position": 1,
      "name": "★ Butterfly Knife | Gamma Doppler (Factory New)",
      "market_name": "Gamma Doppler Phase 2",
      "steam_price": {
        "average": 2767941,
        "rarity_color": "string",
        "rarity": "string",
        "current": 2633000,
        "name": "★ Butterfly Knife | Gamma Doppler Phase 2 (Factory New)",
        "lowest_price": 2125555,
        "img": "-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXH5ApeO4YmlhxYQknCRvCo04DEVlxkKgpovbSsLQJf0ebcZThQ6tCvq4GGqPD1PrbQqW9e-NV9j_v-5YT0m1HllB81NDG3S9rEMFFrf1iC_QXqw7u9h5PqupTKyiNh6ClxtCvczUPmgUtPPbE-1qDISFicAqVXXP7V9p_o84A"
      }
    }
  ]
}
```

## Responses

- `200` successful operation

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
